// Test of Redirecting Standard Output

#include <stdio.h>
#include <unistd.h>
#include <Application.h>
#include <View.h>
#include <Window.h>
#include <Button.h>
#include <ControlLook.h>


class TestWindow : public BWindow {
public:
	TestWindow(BRect frame);
	virtual	bool QuitRequested() {
		be_app->PostMessage(B_QUIT_REQUESTED);
		return true;
	}
	BButton *btn, *vbtn;
	BView *view;
};

TestWindow::TestWindow(BRect frame)
				: BWindow(frame, "Button Look Test", B_TITLED_WINDOW, 0)
{
//	be_control_look = NULL; // uncomment to see expected buttons
	btn = new BButton(BRect(10, 10, 40, 40), "button", "X", NULL);
	AddChild(btn);
	rgb_color clr = btn->ViewColor();
	printf("Button in window:\n");
	printf("ViewColor %d %d %d (%d)\n", clr.red, clr.green, clr.blue, clr.alpha);
	clr = btn->LowColor();
	printf("LowColor %d %d %d (%d)\n", clr.red, clr.green, clr.blue, clr.alpha);
	clr = btn->HighColor();
	printf("HighColor %d %d %d (%d)\n", clr.red, clr.green, clr.blue, clr.alpha);

	view = new BView(BRect(100, 0, 300, 300), "view",
			B_FOLLOW_ALL_SIDES, B_WILL_DRAW);
	AddChild(view);
	vbtn = new BButton(BRect(10, 10, 40, 40), "button", "Y", NULL);
	view->AddChild(vbtn);
	clr = vbtn->ViewColor();
	printf("Button in view:\n");
	printf("ViewColor %d %d %d (%d)\n", clr.red, clr.green, clr.blue, clr.alpha);
	clr = vbtn->LowColor();
	printf("LowColor %d %d %d (%d)\n", clr.red, clr.green, clr.blue, clr.alpha);
	clr = vbtn->HighColor();
	printf("HighColor %d %d %d (%d)\n", clr.red, clr.green, clr.blue, clr.alpha);
}


class TestApplication : public BApplication 
{
public:
	TestApplication() : BApplication("application/x-Test-TextView") {
		(new TestWindow(BRect(50, 50, 350, 350)))->Show();
	}
};



int main(void)
{	
	TestApplication	myApplication;
	myApplication.Run();
	return(0);
}

